installing php 4.3 on Redhat Linux 8.2 
Author Message
 installing php 4.3 on Redhat Linux 8.2

I am trying to install PHP 4.3 on my server for Apache 2.0.x and I am
getting this error when configuring the install script.

My command:
./configure --with-mysql=/usr/local/mysql/bin/mysql --with-apxs2=/usr/apache
/bin/apxs

The error: configure: error: Cannot find header files under
/usr/local/mysql/bin/mysql

The paths to the mysql executable and the apxs executable are correct.  I
don't know where to troubleshoot this problem.  Any help is greatly
appreciated.

Thanks,
Dang Nguyen



Mon, 11 Jul 2005 11:47:33 GMT  
 installing php 4.3 on Redhat Linux 8.2

Quote:

> I am trying to install PHP 4.3 on my server for Apache 2.0.x and I am
> getting this error when configuring the install script.

> My command:
> ./configure --with-mysql=/usr/local/mysql/bin/mysql --with-apxs2=/usr/apache
> /bin/apxs

> The error: configure: error: Cannot find header files under
> /usr/local/mysql/bin/mysql

> The paths to the mysql executable and the apxs executable are correct.  I
> don't know where to troubleshoot this problem.  Any help is greatly
> appreciated.

> Thanks,
> Dang Nguyen

Try:

./configure --with-mysql=/usr/lib/mysql --with-apxs2=/usr/apache/bin/apxs

If that doesn't work then just use --with-mysql on its own.

HTH, Jason Friedland



Mon, 11 Jul 2005 11:51:40 GMT  
 installing php 4.3 on Redhat Linux 8.2
using --with-mysql by itself works, but I get a warning about using it with
mod_auth apache modules.  Isn't this parameter supposed to point to where my
mysql executable is?


Quote:

> > I am trying to install PHP 4.3 on my server for Apache 2.0.x and I am
> > getting this error when configuring the install script.

> > My command:

./configure --with-mysql=/usr/local/mysql/bin/mysql --with-apxs2=/usr/apache
Quote:
> > /bin/apxs

> > The error: configure: error: Cannot find header files under
> > /usr/local/mysql/bin/mysql

> > The paths to the mysql executable and the apxs executable are correct.
I
> > don't know where to troubleshoot this problem.  Any help is greatly
> > appreciated.

> > Thanks,
> > Dang Nguyen

> Try:

> ./configure --with-mysql=/usr/lib/mysql --with-apxs2=/usr/apache/bin/apxs

> If that doesn't work then just use --with-mysql on its own.

> HTH, Jason Friedland



Mon, 11 Jul 2005 14:13:08 GMT  
 installing php 4.3 on Redhat Linux 8.2



Quote:
> using --with-mysql by itself works, but I get a warning about using it
with
> mod_auth apache modules.  Isn't this parameter supposed to point to where
my
> mysql executable is?

when i built mine, i pointed it to the build dir of mysql

eg ./configure --with-mysql=/usr/local/src/mysql --with-apxs2

note. I had to build mysql first and i didn't need a path for apxs2 though i
do use freebsd



Wed, 13 Jul 2005 01:23:26 GMT  
 
 [ 4 post ] 

 Relevant Pages 

1. PHP 4.3 on Redhat Linux 8.0 fails to compile

2. install PHP 4.2 and PHP 4.3 on the same host

3. Oratcl 4.3 Oratcl_Init() failure on RedHat Enterprise Linux

4. PHP 4.3 and GD Install - Sorry for the double post

5. PHP 4.3 and Curl Install

6. php 4.3 and sessions

7. Undefined function imagecreatefromjpeg with bundled GD in PHP 4.3

8. Getting gd_info to work with PHP 4.3/Apache 1.3.27

9. Windows Apache 2 / PHP 4.3 Setup

10. Problem compiling php 4.3 with gd

11. PHP 4.3 msIIS5.1

12. Aache 2.0.42 with PHP 4.3 don't work

 

 
Powered by phpBB® Forum Software